package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.io.Serializable;


/**
 * 对应数据库表(im_group):
 */
@Data
@TableName("im_group")
public class ImGroupPlus implements Serializable {

    @TableId(value = "id_")
    private String id;

    @ApiModelProperty("学校ID")
    @TableField(value = "school_id_")
    private Long schoolId;

    @ApiModelProperty("群名称")
    @TableField(value = "name_")
    private String name;

    @ApiModelProperty("群介绍")
    @TableField(value = "introduce_")
    private String introduce;

    @ApiModelProperty("群成员数")
    @TableField(value = "member_num_")
    private Integer memberNum;

    @ApiModelProperty("群备注")
    @TableField(value = "memo_")
    private String memo;

    @ApiModelProperty("群标签")
    @TableField(value = "tags_")
    private String tags;

    @TableField(value = "img_")
    private String img;

    @ApiModelProperty("乐团群 MUSIC，班级群 CLASS，训练营 TRAINING 学校SCHOOL")
    @TableField(value = "type_")
    private String type;

    @TableField(value = "tenant_id_")
    private Integer tenantId;

    @ApiModelProperty(value = "是否创建第三方群")
    @TableField(value = "crete_flag_")
    private Boolean createFlag = true;

    @TableField(value = "import_flag_")
    private Boolean importFlag;

    @ApiModelProperty(value = "群类型")
    @TableField(value = "group_type_")
    private ImGroup.GroupTypeEnum groupType;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_user_")
    private String createUserId;

    public ImGroup.GroupTypeEnum getGroupType() {
        return groupType;
    }

    public void setGroupType(ImGroup.GroupTypeEnum groupType) {
        this.groupType = groupType;
    }

    /**
     *
     */
    @TableField(value = "create_time_")
    private java.util.Date createTime;

    /**
     *
     */
    @TableField(value = "update_time_")
    private java.util.Date updateTime;

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}
